| Fast DDS Version 3.3.0 Fast DDS

Loading...
Searching...
No Matches
ParameterSampleIdentity_t Class Reference
eProsima Fast DDS API Reference » RTPS » Common Module. » Qos Module

`#include <ParameterTypes.hpp>`

Inheritance diagram for ParameterSampleIdentity_t:
[legend]

## Public Member Functions

| ParameterSampleIdentity_t ()
| Constructor without parameters.
| ParameterSampleIdentity_t (ParameterId_t pid, uint16_t in_length)
| Constructor using a parameter PID and the parameter length.
bool | addToCDRMessage (fastdds::rtps::CDRMessage_t *msg) const
| Add the parameter to a CDRMessage_t message.
bool | readFromCDRMessage (fastdds::rtps::CDRMessage_t *msg, uint16_t size)
| Read the parameter from a CDRMessage_t message.
Public Member Functions inherited from Parameter_t
FASTDDS_EXPORTED_API | Parameter_t ()
| Constructor without parameters.
FASTDDS_EXPORTED_API | Parameter_t (ParameterId_t pid, uint16_t length)
| Constructor using a parameter PID and the parameter length.
virtual FASTDDS_EXPORTED_API | ~Parameter_t ()
| Destructor.
bool | operator== (const Parameter_t &b) const

## Public Attributes

fastdds::rtps::SampleIdentity | sample_id
| Sample Identity By default, unknown.
Public Attributes inherited from Parameter_t
ParameterId_t | Pid
| Parameter ID. By default, PID_PAD.
uint16_t | length
| Parameter length. By default, 0.

## Constructor & Destructor Documentation

## ◆ ParameterSampleIdentity_t() [1/2]

ParameterSampleIdentity_t | ( |  | ) |

inline

Constructor without parameters.

## ◆ ParameterSampleIdentity_t() [2/2]

ParameterSampleIdentity_t | ( | ParameterId_t | pid,
|  | uint16_t | in_length )

inline

Constructor using a parameter PID and the parameter length.

Parameters

  pid | Pid of the parameter
  in_length | Its associated length

## Member Function Documentation

## ◆ addToCDRMessage()

bool addToCDRMessage | ( | fastdds::rtps::CDRMessage_t * | msg | ) | const

Add the parameter to a CDRMessage_t message.

Parameters

  [in,out] | msg | Pointer to the message where the parameter should be added.

Returns
  True if the parameter was correctly added.

## ◆ readFromCDRMessage()

bool readFromCDRMessage | ( | fastdds::rtps::CDRMessage_t * | msg,
|  | uint16_t | size )

Read the parameter from a CDRMessage_t message.

Parameters

  [in,out] | msg | Pointer to the message from where the parameter should be taken.
  | size | Size of the parameter field to read

Returns
  True if the parameter was correctly taken.

## Member Data Documentation

## ◆ sample_id

fastdds::rtps::SampleIdentity sample_id

Sample Identity
By default, unknown.

The documentation for this class was generated from the following file:

- include/fastdds/dds/core/policy/ParameterTypes.hpp